---
lang: en
title: 'API docs: rest.sequencehandler'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.sequencehandler.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [SequenceHandler](./rest.sequencehandler.md)

## SequenceHandler interface

A sequence handler is a class implementing sequence of actions required to handle an incoming request.

<b>Signature:</b>

```typescript
export interface SequenceHandler 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [handle(context)](./rest.sequencehandler.handle.md) | Handle the request by running the configured sequence of actions. |


